#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	printf("%f\n", +1.0/0.0);
  	printf("%f\n", -1.0/0.0);
  	printf("%f\n", -0.0/0.0);

  	/* Les trois opérations sont des erreur mathématiques
  	mais l'informatique les fait quand même et sort la valeur qui est
  	globalement acceptée de inf (infini) pour 1/0 et -inf pour -1/0
  	0/0 est considéré comme 'pas un nombre' (NaN : Not A Number) */
	return EXIT_SUCCESS;
}

